classification
Title: Add the SIO_KEEPALIVE_VALS option to socket.ioctl
Type: enhancement Stage:
Components: IO Versions: Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: kristjan.jonsson, pitrou
Priority: normal Keywords: easy, patch

Created on 2009-09-22 21:50 by kristjan.jonsson, last changed 2009-09-27 21:11 by kristjan.jonsson. This issue is now closed.

Files
File name Uploaded Description Edit
wsaioctl.patch kristjan.jonsson, 2009-09-22 21:50
Messages (4)
msg93020 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-09-22 21:50
Adding the SIO_KEEPALIVE_VALS option to socket.ioctl on windows allows a 
windows user to specify the timeout and interval for TCP keepalive support 
differently from the defaults specified in RFC 1122 on a per-socket basis.  
The 'option' is a tuple corresponging to the 'struct tcp_keepalive' 
expected by WSAIoctl
See http://msdn.microsoft.com/en-us/library/dd877220(VS.85).aspx for 
details.
msg93107 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-09-25 15:21
Due to lack of comments, and the straight-forwardness of this change, I 
committed it to the trunk in revision 75054
msg93144 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-09-25 21:15
Will you merge to py3k?
msg93185 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-09-27 21:11
Ported to py3k in revision 75100
History
Date User Action Args
2009-09-27 21:11:14kristjan.jonssonsetkeywords: patch, patch, easy

messages: + msg93185
2009-09-25 21:15:34pitrousetkeywords: patch, patch, easy
nosy: + pitrou
messages: + msg93144

2009-09-25 15:21:07kristjan.jonssonsetstatus: open -> closed
keywords: patch, patch, easy
resolution: accepted
messages: + msg93107
2009-09-22 23:58:28kristjan.jonssonsetkeywords: patch, patch, easy
type: enhancement
2009-09-22 21:50:28kristjan.jonssoncreate